<?php
function fn_assetbyid_c($aql)
{
	$list = $aql->Consume(1);
	
	$name = $list[0]->value;
	
	$apool = array();
	if (is_array($name))
		$apool = $name;
	else
		$apool[] = $name;
	
	$a = new AQLStackElement();
	$a->typename = "assetlist";
	$a->islist = true;
	$a->value = $apool;
	array_push($aql->stack,$a);
	
	//print_r($apool);
}
